// MplVcSmpDlg.h : Header file
//

#if !defined(AFX_MPLVCSMPDLG_H__095FF6F2_4079_4B34_B4C0_B4286E81C549__INCLUDED_)
#define AFX_MPLVCSMPDLG_H__095FF6F2_4079_4B34_B4C0_B4286E81C549__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "USBC.h"

/////////////////////////////////////////////////////////////////////////////
// CMplVcSmpDlg dialog

class CMplVcSmpDlg : public CDialog
{
// Construction
public:
	CMplVcSmpDlg(CWnd* pParent = NULL);	// Default constructor

// Dialog data
	//{{AFX_DATA(CMplVcSmpDlg)
	enum { IDD = IDD_MPLVCSMP_DIALOG };
	CButton	m_CButton_ReadExtIn0;
	CButton	m_CButton_ExtOut3;
	CButton	m_CButton_ExtOut2;
	CButton	m_CButton_ExtOut1;
	CButton	m_CButton_ExtOut0;
	CButton	m_CButton_ExtLatchClr;
	CButton	m_CButton_OpenExtIo;
	CButton	m_CButton_CloseExtIo;
	CButton	m_CButton_Clrerr;
	CButton	m_CButton_FastStop;
	CButton	m_CButton_SlowStop;
	CButton	m_CButton_Env;
	CButton	m_CButton_Open;
	CButton	m_CButton_Close;
	CButton	m_CButton_Ok;
	CButton	m_CButton_Reset;
	CButton	m_CButton_DataSet;
	CButton	m_CButton_CCwScan;
	CButton	m_CButton_CwScan;
	CButton	m_CButton_Org;
	CButton	m_CButton_Rtn;
	CButton	m_CButton_CCwIndex;
	CButton	m_CButton_CwIndex;
	CButton	m_CButton_Demo;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMplVcSmpDlg)
	public:
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMplVcSmpDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonOpen();
	afx_msg void OnButtonClose();
	virtual void OnOK();
	afx_msg void OnButtonReset();
	afx_msg void OnButtonDataSet();
	afx_msg void OnButtonCCwScan();
	afx_msg void OnButtonCwScan();
	afx_msg void OnButtonOrg();
	afx_msg void OnButtonRtn();
	afx_msg void OnButtonCCwIndex();
	afx_msg void OnButtonCwIndex();
	afx_msg void OnButtonDemo();
	afx_msg void OnButtonEnv();
	afx_msg void OnButtonClrerr();
	afx_msg void OnButtonFaststop();
	afx_msg void OnButtonSlowstop();
	afx_msg void OnButtonOpenExtio();
	afx_msg void OnButtonCloseExtio();
	afx_msg void OnButtonExtlatchclr();
	afx_msg void OnButtonExtout0();
	afx_msg void OnButtonExtout1();
	afx_msg void OnButtonExtout2();
	afx_msg void OnButtonExtout3();
	afx_msg void OnButtonReadextin0();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	BOOL CheckExtUnitStatus(DWORD UnitHandle);
	BOOL CheckStatus1(DWORD hDevice);
	void CMplVcSmpDlg::ButtonDisable( void );
	void CMplVcSmpDlg::ButtonEnable( void );
	UINT CMplVcSmpDlg::ReadyWait( DWORD hDevice, BYTE *StopCode, BOOL OriginDriveFlag );
	void CMplVcSmpDlg::StopCodeDisplay( BYTE StopCode);
	void CMplVcSmpDlg::NowAddressDisplay( DWORD hDevice );
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ inserts the declaration of addition immediately before the front line.

#endif // !defined(AFX_MPLVCSMPDLG_H__095FF6F2_4079_4B34_B4C0_B4286E81C549__INCLUDED_)
